import { Wtbl } from '../../document';
import { Region, RegionOptions } from '../base/Region';
import { RegionJson } from '../../types';
export type TableHeaderRegionOptions = RegionOptions & {
    name: string;
};
export type TableRegionJson = RegionJson & {
    name: string;
};
export declare class TableHeaderRegion extends Region {
    type: "table-header";
    name: string;
    constructor(options: TableHeaderRegionOptions);
    toJSON(): TableRegionJson;
    static fromJSON(json: TableRegionJson, table: Wtbl): TableHeaderRegion;
}
